<div id="mapList">
    <ng-content select="[obs-form]" *ngIf="display_form"></ng-content>
    <span [class.d-none]="display_form">
        <div class="toolbar">
            <select
                id="municipality"
                name="municipality"
                [class]="'form-control rounded-0 ' + (userDashboard ? 'col-md-6' : 'col-sm-12')"
                [(ngModel)]="selectedMunicipality"
                (ngModelChange)="onFilterChange()"
            >
                <option [ngValue]="null" i18n="All municipalities select option@@allMunicipalitiesSelectOption">Toutes communes</option>
                <option *ngFor="let t of municipalities" [ngValue]="t">{{ t?.area_name || '?' }}</option>
            </select>
            <select
                id="program"
                name="program"
                type="text"
                class="form-control rounded-0 col-sm-6"
                [(ngModel)]="selectedProgram"
                (ngModelChange)="onFilterChange()"
                *ngIf="userDashboard"
            >
                <option [ngValue]="null">Tous programmes</option>
                <option *ngFor="let program of programs" [ngValue]="program">
                    {{ program?.title || '?' }}
                </option>
            </select>
        </div>
        <div class="col-lg-12 mx-4 mt-2 mb-4">
            <strong><span *ngIf="userDashboard">Mes </span>Zones </strong>
            <span class="badge badge-pill badge-info">{{ areas?.length }}</span>
            <ng-content select="[add-obs]"></ng-content>
        </div>
        <div id="list">
            <div
                *ngFor="let area of areas"
                (click)="onAreaClick(area)"
                class="espece"
            >
                <div [class]="(userDashboard ? 'dashboard-list' : '') + ' infos'">
                    <h5 [title]="area.properties.name">
                        <div class="name notranslate">{{ area.properties.name }}</div>
                        <span
                            *ngIf="area.properties.has_edit_access ||
                                 area.properties.id_role === userService.role_id ||
                                 admin"
                            class="pull-right">

                            <app-areamodalflow
                                #modalFlowRef
                                [coords]="area.properties.coords"
                                [updateData]="area.properties"
                                [program_id]="area.properties.id_program"
                            >
                                <i
                                    class="fa fa-edit text-primary"
                                    placement="bottom"
                                    ngbTooltip="Editer"
                                    btn-open
                                ></i>
                            </app-areamodalflow>
                            <i
                                class="fa fa-trash text-danger"
                                placement="bottom"
                                ngbTooltip="Supprimer"
                                (click)="onDeleteAreaModalOpen(area.properties.id_area)"
                                *ngIf="area.properties.id_role === userService.role_id && area.properties.creator_can_delete || admin"
                                owner-actions
                            ></i>
                        </span>
                    </h5>
                    <p [title]="area.properties.obs_txt">
                        ajoutée par <span>{{ area.properties.obs_txt }}</span>
                    </p>
                </div>
                <div class="add-species-site" *ngIf="!userDashboard">
                    <div title="Ajouter un individu" (click)="onAddSpeciesSiteClick(area.properties.id_area)">
                        +
                    </div>
                </div>
                <div
                    class="hide"
                    [routerLink]="[
                        '/programs',
                        area.properties.id_program,
                        'areas',
                        area.properties.id_area
                    ]"
                    style="cursor: pointer"
                    title="Voir les détails sur cette zone"
                >
                    <img src="assets/binoculars.png" />
                </div>
            </div>
        </div>
    </span>
</div>

<ng-template #deleteAreaModal let-modal>
    <div class="modal-delete-header">
        <h5 class="modal-delete-title"><i class="fa fa-trash"></i></h5>
    </div>
    <div class="modal-delete-body">
        Êtes-vous sûr de vouloir supprimer cette zone et toutes les informations qui y sont rattachées ?
        <br/>
        La suppression sera définitive
    </div>
    <div class="modal-delete-footer">
        <button
            type="button"
            class="cancel-btn"
            style="margin-right: 15px"
            (click)="deletionModalRef.close()"
        >
            ANNULER
        </button>
        <button type="button" class="green-btn" (click)="onDeleteArea()">
            OUI
        </button>
    </div>
</ng-template>
